--- title: "getMailRequestStatus" slug: "ai-application-service-cloudoutboundmailer-getmailrequeststatus" tags: ["Cloud Outbound Mailer"] updated: 2026-09-17T09:35:44Z published: 2026-09-17T09:35:44Z canonical: "api.ncloud-docs.com/ai-application-service-cloudoutboundmailer-getmailrequeststatus" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # getMailRequestStatus Available in Classic and VPC Use the delivery request ID to see how the delivery request for a specific email was handled. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /mails/requests/{requestId}/status | ### Request headers For information about the headers common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer request headers](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `requestId` | String | Required | Email delivery request ID to distinguish each request - `requestId` can contain multiple `mailId` when requesting multiple mailings at once | ### Request example The following is a sample request. ``` curl --location --request GET 'https://mail.apigw.ntruss.com/api/v1/mails/requests/20181126000000246001/status' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `requestId` | String | - | Email delivery request ID to distinguish each request - `requestId` can contain multiple `mailId` when requesting multiple mailings at once | | `readyCompleted` | Boolean | - | Whether all requests have been entered into the database and are ready to be delivered - `true` \| `false` - `true`: delivery preparation completed (including delivery completion) - `false`: delivery preparation not completed | | `allSentSuccess` | Boolean | - | Whether all requested emails were sent successfully - `true` \| `false` - `true`: success - `false`: failure | | `requestCount` | Integer | - | Number of delivery requests | | `sentCount` | Integer | - | Number of successful deliveries | | `finishCount` | Integer | - | Number of emails processed - Including delivery successful, failure, rejected, and canceled | | `readyCount` | Integer | - | Number of emails ready or sent - Number of emails entered to the database for delivery | | `reservationDate` | Object | - | Reserved date and time - See [NesDateTime](/docs/en/common-vapidatatype-nesdatetime) | | `countsByStatus` | List | - | Number of emails by status - See [CountByStatus](/docs/common-vapidatatype-nescountbystatus) | ### Response status codes For information about the HTTP status codes common to all Cloud Outbound Mailer APIs, see [Cloud Outbound Mailer response status codes](/docs/en/ai-application-service-cloudoutboundmailer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "requestId":"20181126000000246001", "readyCompleted":true, "allSentSuccess":false, "requestCount":35179, "sentCount":33502, "finishCount":35179, "readyCount":35179, "reservationDate":null, "countsByStatus":[ { "status":{ "label":"Failed to send", "code":"F" }, "count":1415 }, { "status":{ "label":"Sent successfully", "code":"S" }, "count":33502 }, { "status":{ "label":"Unsubscribe", "code":"U" }, "count":262 } ] } ```